---
title: Update user
slug: content-recommendations/api/update-user
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "d6p1c7hOIB9Y1Qb32YfBp",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.usea01.idio.episerver.net/1.0/users/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/users/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Update user",
    "description": "<p>Update an existing user. Only 'identifiers' and 'additional_info' fields are supported.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "email:john.doe@example.com",
          "description": "<p>User identifier (numeric ID or 'identifier</p><div></div>' format).<p></p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "A user",
          "customType": "UserPartial",
          "schema": [
            {
              "name": "first_name",
              "kind": "optional",
              "type": "string",
              "description": "First name of the user.",
              "example": "Jordan"
            },
            {
              "name": "last_name",
              "kind": "optional",
              "type": "string",
              "description": "Last name of the user.",
              "example": "Lee"
            },
            {
              "name": "email",
              "kind": "required",
              "type": "string<email>",
              "description": "User's email address.",
              "example": "jordan.lee@example.com",
              "format": "email"
            },
            {
              "name": "service_credentials",
              "kind": "optional",
              "type": "array",
              "description": "",
              "modelRef": "#/components/schemas/ServiceCredentials",
              "customType": "ServiceCredentials",
              "schema": [
                {
                  "name": "service",
                  "kind": "required",
                  "type": "string<facebook | twitter | linkedin>",
                  "description": "<p>The third-party service this credential belongs to.</p>",
                  "enum": [
                    "facebook",
                    "twitter",
                    "linkedin"
                  ]
                }
              ]
            },
            {
              "name": "additional_info",
              "kind": "optional",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/Map",
              "customType": "Map",
              "schema": []
            },
            {
              "name": "identifiers",
              "kind": "optional",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/Map",
              "customType": "Map",
              "schema": []
            }
          ],
          "modelRef": "#/components/schemas/UserPartial",
          "complexItems": [
            {
              "name": "object",
              "schema": [
                {
                  "name": "first_name",
                  "kind": "optional",
                  "type": "string",
                  "description": "First name of the user.",
                  "example": "Jordan"
                },
                {
                  "name": "last_name",
                  "kind": "optional",
                  "type": "string",
                  "description": "Last name of the user.",
                  "example": "Lee"
                },
                {
                  "name": "email",
                  "kind": "required",
                  "type": "string<email>",
                  "description": "User's email address.",
                  "example": "jordan.lee@example.com",
                  "format": "email"
                },
                {
                  "name": "service_credentials",
                  "kind": "optional",
                  "type": "array",
                  "description": "",
                  "modelRef": "#/components/schemas/ServiceCredentials",
                  "customType": "ServiceCredentials",
                  "schema": [
                    {
                      "name": "service",
                      "kind": "required",
                      "type": "string<facebook | twitter | linkedin>",
                      "description": "<p>The third-party service this credential belongs to.</p>",
                      "enum": [
                        "facebook",
                        "twitter",
                        "linkedin"
                      ]
                    }
                  ]
                },
                {
                  "name": "additional_info",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/Map",
                  "customType": "Map",
                  "schema": []
                },
                {
                  "name": "identifiers",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/Map",
                  "customType": "Map",
                  "schema": []
                }
              ],
              "modelRef": "#/components/schemas/UserCore",
              "customType": "UserCore"
            },
            {
              "name": "object",
              "schema": []
            }
          ],
          "complexType": "allOf",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "User updated.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"User 1 updated successfully\"}",
            "description": "Generic message response object returned by the API.",
            "customType": "Message",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "The message content.",
                "example": "User updated successfully."
              }
            ],
            "modelRef": "#/components/schemas/Message",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "User does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "yW5egZcp22Hvvbo3W2yHr",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.usea01.idio.episerver.net/1.0/users/{id} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data-raw '{\n     \"email\": \"jordan.lee@example.com\",\n     \"service_credentials\": [\n     {\n     \"service\": \"\"\n     }\n     ]\n     }'"
        },
        {
          "id": "leiHAIyDEpLfnVrCGBjm3",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"email\": \"jordan.lee@example.com\",\n   \"service_credentials\": [\n      {\n         \"service\": \"\"\n      }\n   ]\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/users/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "kYdPiiI8l3H_v0CjgRQ7j",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/users/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"email\": \"jordan.lee@example.com\",\n   \"service_credentials\": [\n      {\n         \"service\": \"\"\n      }\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ppUKkIfuH1IKP24dQbN-a",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/users/{id}\"\n\npayload = json.dumps({\n   \"email\": \"jordan.lee@example.com\",\n   \"service_credentials\": [\n      {\n         \"service\": \"\"\n      }\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "yW5egZcp22Hvvbo3W2yHr"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// User updated.\n{\n  \"message\": \"User updated successfully.\"\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// User does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}